Subject: bug#45581: 28.0.50; C-M-v in xref buffers shows a different buffer when scrolling

From: martin rudalics <[email-masked]>
Date: Sun, 3 Jan 2021 09:40:13 +0100

> As a result, C-M-v doesn't always scroll the "target location" window anymore (at least, not when there are at least 3 windows on the frame).
 >
 > I wonder if we can/should do something about it. Other standard commands don't seem to worry about that, though.

I doubt that anybody cares.  My suggestion back then was just bad.
'other-window-scroll-buffer' is an ill-advised concept which can fly
only if the buffer where it is set locally is small (so a user will not
wonder about what that buffer has been conceived for and, for example,
ask questions about its modes or keymaps) is displayed for a short time
only and the visibility of the buffer it refers to is absolutely crucial
for the current workflow.  Neither of these conditions is given in the
present context and I doubt that they are given in any of the other
occurrences of that variable.

martin